# OpalAudioFormatInternal Class Reference

`#include <mediafmt.h>`

Inheritance diagram for OpalAudioFormatInternal:

[legend]
Collaboration diagram for OpalAudioFormatInternal:
[legend]

## Public Member Functions

| OpalAudioFormatInternal (const char *fullName, RTP_DataFrame::PayloadTypes rtpPayloadType, const char *encodingName, PINDEX frameSize, unsigned frameTime, unsigned rxFrames, unsigned txFrames, unsigned maxFrames, unsigned clockRate, time_t timeStamp=0)
virtual PObject * | Clone () const
virtual bool | Merge (const OpalMediaFormatInternal &mediaFormat)

## Constructor & Destructor Documentation

OpalAudioFormatInternal::OpalAudioFormatInternal | ( | const char * | fullName,
|  | RTP_DataFrame::PayloadTypes | rtpPayloadType,
|  | const char * | encodingName,
|  | PINDEX | frameSize,
|  | unsigned | frameTime,
|  | unsigned | rxFrames,
|  | unsigned | txFrames,
|  | unsigned | maxFrames,
|  | unsigned | clockRate,
|  | time_t | timeStamp = `0` |
| ) |  |  |

## Member Function Documentation

virtual PObject* OpalAudioFormatInternal::Clone | ( |  | ) | const`[virtual]`

Reimplemented from OpalMediaFormatInternal.

Reimplemented in OpalPluginAudioFormatInternal.

virtual bool OpalAudioFormatInternal::Merge | ( | const OpalMediaFormatInternal & | mediaFormat | ) | `[virtual]`

Reimplemented from OpalMediaFormatInternal.

The documentation for this class was generated from the following file:

- mediafmt.h